Bug 1562578 - [abrt] iwl_read_prph: WARNING: CPU: 6 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1973 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi] [iwlwifi] [NEEDINFO]
Summary: [abrt] iwl_read_prph: WARNING: CPU: 6 PID: 0 at drivers/net/wireless/intel/iw...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ca815652cd8c9dfdca60b5a00e6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-01 04:02 UTC by Dan Loomis
Modified: 2018-08-29 15:02 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:02:44 UTC
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (86.07 KB, text/plain)
2018-04-01 04:03 UTC, Dan Loomis
no flags Details
dmesg (569.26 KB, text/plain)
2018-05-05 02:09 UTC, Arne
no flags Details

Description Dan Loomis 2018-04-01 04:02:47 UTC
Description of problem:
Watching a youtube video when the wifi crashed.   Tried turning the wifi off an on which worked on the previous Kernel.   

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 6 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1973 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iTCO_wdt iTCO_vendor_support iwlmvm ppdev mei_wdt kvm hp_wmi wmi_bmof sparse_keymap mac80211 irqbypass crct10dif_pclmul crc32_pclmul tpm_infineon ghash_clmulni_intel intel_cstate
 intel_uncore iwlwifi intel_rapl_perf snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi cfg80211 snd_hda_intel btusb uvcvideo btrtl snd_hda_codec videobuf2_vmalloc btbcm videobuf2_memops btintel videobuf2_v4l2 videobuf2_core bluetooth rtsx_pci_ms snd_hda_core videodev memstick snd_hwdep snd_seq snd_seq_device i2c_i801 lpc_ich media snd_pcm snd_timer snd ecdh_generic mei_me joydev rfkill parport_pc tpm_tis mei soundcore tpm_tis_core ie31200_edac shpchp wmi parport tpm hp_accel hp_wireless lis3lv02d video input_polldev amdgpu chash hid_logitech_hidpp hid_logitech_dj radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper ttm e1000e drm crc32c_intel serio_raw rtsx_pci uas ptp usb_storage pps_core
CPU: 6 PID: 0 Comm: swapper/6 Not tainted 4.15.10-300.fc27.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
RSP: 0018:ffff97dbddd83e10 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff97dbb73b0028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff97dbddd968f0
RBP: ffff97dbb73b8f10 R08: 000000000000047c R09: 0000000000000004
R10: ffffd8eadfa13d80 R11: 0000000000000001 R12: ffff97dbddd83e30
R13: ffffffffc0ac7070 R14: ffff97dbb73a4780 R15: 000000000000000a
FS:  0000000000000000(0000) GS:ffff97dbddd80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00003e75bc05dc80 CR3: 000000015d20a006 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? reweight_entity+0x145/0x180
 ? iwl_pcie_txq_build_tfd+0xe0/0xe0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x36/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3cc/0x420
 ? tick_sched_handle+0x22/0x70
 ? sched_clock+0x5/0x10
 __do_softirq+0xe7/0x2cb
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x6c/0x120
 apic_timer_interrupt+0x87/0x90
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xa2/0x2e0
RSP: 0018:ffffaa62831f3ea8 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff11
RAX: ffff97dbddda0a80 RBX: 00000617aaa2203d RCX: 000000000000001f
RDX: 00000617aaa2203d RSI: fffffffe6589da29 RDI: 0000000000000000
RBP: ffff97dbdddaa400 R08: 0000000000002216 R09: 00000000000001c5
R10: ffffaa62831f3e88 R11: 0000000000001391 R12: 0000000000000004
R13: ffffffff8a2d1438 R14: 0000000000000000 R15: 00000617aa86f0b2
 ? cpuidle_enter_state+0x92/0x2e0
 do_idle+0x17b/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a2/0x1f0
 secondary_startup_64+0xa5/0xb0
Code: 00 00 e8 11 21 dc c8 eb 9d 48 89 df be 24 00 00 00 c6 05 39 3e 02 00 01 e8 5b f4 fe ff 48 c7 c7 d0 69 ae c0 89 c6 e8 8d 9c 5d c8 <0f> 0b eb bb 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 1 Dan Loomis 2018-04-01 04:03:05 UTC
Created attachment 1415727 [details]
File: dmesg

Comment 2 Dan Loomis 2018-04-01 04:06:16 UTC
Variations of this problem have been around for the last several versions of Fedora.   Search bugs I have reported and you should find the old reports.  This is the first in awhile that could be automatically reported.

Comment 3 Dan Loomis 2018-05-02 00:44:14 UTC
Description of problem:
Downloading Fedora 28 in the background, skimming Imgur.   Wifi stopped working.

Version-Release number of selected component:
kernel-core-4.16.3-200.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-200.fc27.x86_64 root=/dev/mapper/fedora_antares-root ro rd.lvm.lv=fedora_antares/root rd.lvm.lv=fedora_antares/swap rhgb quiet LANG=en_US.UTF-8
crash_function: iwl_read_prph
kernel:         4.16.3-200.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp ppdev iwlmvm hp_wmi wmi_bmof sparse_keymap mei_wdt iTCO_wdt iTCO_vendor_support kvm mac80211 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi uvcvideo irqbypass
 crct10dif_pclmul crc32_pclmul videobuf2_vmalloc videobuf2_memops snd_hda_intel videobuf2_v4l2 videobuf2_common ghash_clmulni_intel snd_hda_codec intel_cstate btusb tpm_infineon iwlwifi intel_uncore btrtl btbcm btintel intel_rapl_perf snd_hda_core bluetooth snd_hwdep snd_seq videodev cfg80211 snd_seq_device joydev snd_pcm i2c_i801 rtsx_pci_ms media memstick ecdh_generic parport_pc snd_timer tpm_tis rfkill tpm_tis_core snd wmi parport soundcore hp_wireless mei_me tpm hp_accel lis3lv02d ie31200_edac mei video input_polldev lpc_ich shpchp amdgpu chash gpu_sched radeon i2c_algo_bit drm_kms_helper ttm rtsx_pci_sdmmc mmc_core e1000e drm crc32c_intel ptp serio_raw rtsx_pci pps_core
CPU: 7 PID: 0 Comm: swapper/7 Not tainted 4.16.3-200.fc27.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.08 03/16/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
RSP: 0018:ffff95a39ddc3e10 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff95a3866e0028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff95a39ddd68f0
RBP: ffff95a3866e8f10 R08: 0000000000000427 R09: 0000000000000004
R10: ffffd5309217e140 R11: 0000000000000001 R12: ffff95a39ddc3e30
R13: ffffffffc0c4d2f0 R14: ffff95a38979e780 R15: 000000000000000a
FS:  0000000000000000(0000) GS:ffff95a39ddc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f0c2dd26000 CR3: 000000036c20a001 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? iwl_pcie_txq_build_tfd+0xe0/0xe0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x36/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3cc/0x420
 ? tick_sched_timer+0x34/0x70
 ? sched_clock+0x5/0x10
 __do_softirq+0xe7/0x2cb
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x120
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xa3/0x2b0
RSP: 0018:ffffa27b4196feb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff95a39dde0b40 RBX: 000000634b8c7e87 RCX: 000000000000001f
RDX: 000000634b8c7e87 RSI: 0000000033518eeb RDI: 0000000000000000
RBP: ffff95a39ddea500 R08: 00000000000023aa R09: 0000000000000167
R10: ffffa27b4196fe90 R11: 000000000000015f R12: 0000000000000003
R13: ffffffff912d2038 R14: 0000000000000000 R15: 000000634b79f0bd
 do_idle+0x17b/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a2/0x1f0
 secondary_startup_64+0xa5/0xb0
Code: 00 00 e8 f1 30 c5 cf eb 9d 48 89 df be 24 00 00 00 c6 05 e5 5a 02 00 01 e8 7b f0 fe ff 48 c7 c7 28 e1 c6 c0 89 c6 e8 5d 4e 45 cf <0f> 0b eb bb 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 4 Arne 2018-05-05 02:02:56 UTC
Description of problem:
A while ago in February my wifi connection on my laptop randomly stopped working. Sometimes it works for several days, at other times it drops the connection after few minutes. I am using Gnome Network Manager to connect to the Wifi and then use a StrongSwan VPN. I could not reconnect the Wifi connection or the VPN. I tried to use "nmcli connection up [WIFI]" and got an error message that there was no suitable device to activate my wifi connection.

I have tried restarting StrongSwan and the NetworkManager service. But neither of them has fixed the issue. At the moment I can only resolve this be rebooting.

This issue has been present since kernel 4.14 in Fedora 27 and is still present on current kernel 4.16.5 on Fedora 28.




When I checked the kernel logs in journalctl I found the below section (removed some unrelated rows, for full version please refer to the attached log)


May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: iwlwifi transaction failed, dumping registers
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: iwlwifi device config registers:
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: 00000000: 08b18086 00100000 028000bb 00000000 00000004 00000000 00000000 00000000
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: 00000020: 00000000 00000000 00000000 40608086 00000000 000000c8 00000000 00000100
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: iwlwifi device memory mapped registers:
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: 00000000: ffffffff ffffffff ffffffff ffffffff ffffffff ffffffff ffffffff ffffffff
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: 00000020: ffffffff ffffffff ffffffff ffffffff ffffffff ffffffff ffffffff ffffffff
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: iwlwifi device AER capability structure:
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: 00000000: 14010001 00100000 00000000 00462031 000030c1 00002000 00000014 40000001
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: 00000020: 0000010f 90600460 00000000
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: iwlwifi parent port (0000:00:1c.1) config registers:
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:00:1c.1: 00000000: 0f4a8086 00100007 0604000e 00810010 00000000 00000000 00020200 20004040
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:00:1c.1: 00000020: 90609060 0001fff1 00000000 00000000 00000000 00000040 00000000 000002ff
May 05 11:24:49 fedora-laptop kernel: ------------[ cut here ]------------
May 05 11:24:49 fedora-laptop kernel: Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
May 05 11:24:49 fedora-laptop kernel: WARNING: CPU: 1 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0x>
May 05 11:24:49 fedora-laptop kernel: Modules linked in: sctp esp4 xfrm4_mode_transport xfrm4_tunnel tunnel4 ipcomp xfrm_ipcomp xfrm6_mode_tunnel xfrm>
May 05 11:24:49 fedora-laptop kernel:  videobuf2_memops videobuf2_v4l2 videobuf2_common videodev media arc4 snd_hda_codec_hdmi intel_rapl iwlmvm intel>
May 05 11:24:49 fedora-laptop kernel:  r8169 mii video i2c_hid pwm_lpss_platform pwm_lpss
May 05 11:24:49 fedora-laptop kernel: CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.16.5-300.fc28.x86_64 #1
May 05 11:24:49 fedora-laptop kernel: Hardware name: Acer TravelMate B115-M/Roxy, BIOS V1.40 10/28/2015
May 05 11:24:49 fedora-laptop kernel: RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
May 05 11:24:49 fedora-laptop kernel: RSP: 0018:ffff91153fc83e10 EFLAGS: 00010082
May 05 11:24:49 fedora-laptop kernel: RAX: 0000000000000000 RBX: ffff9115293c0028 RCX: 0000000000000006
May 05 11:24:49 fedora-laptop kernel: RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff91153fc968f0
May 05 11:24:49 fedora-laptop kernel: RBP: ffff9115293c8f10 R08: 0000000000000005 R09: 00000000000003ea
May 05 11:24:49 fedora-laptop kernel: R10: 0000000000000000 R11: ffffffffb49711ed R12: ffff91153fc83e30
May 05 11:24:49 fedora-laptop kernel: R13: ffffffffc0a7c3f0 R14: ffff91152ac58300 R15: 0000000000000004
May 05 11:24:49 fedora-laptop kernel: FS:  0000000000000000(0000) GS:ffff91153fc80000(0000) knlGS:0000000000000000
May 05 11:24:49 fedora-laptop kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 05 11:24:49 fedora-laptop kernel: CR2: 000055bddccfc068 CR3: 000000016e20a000 CR4: 00000000001006e0
May 05 11:24:49 fedora-laptop kernel: Call Trace:
May 05 11:24:49 fedora-laptop kernel:  <IRQ>
May 05 11:24:49 fedora-laptop kernel:  iwl_read_prph+0x32/0x90 [iwlwifi]
May 05 11:24:49 fedora-laptop kernel:  iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
May 05 11:24:49 fedora-laptop kernel:  ? iwl_pcie_tfd_unmap.isra.29+0x1a0/0x1a0 [iwlwifi]
May 05 11:24:49 fedora-laptop kernel:  iwl_pcie_txq_stuck_timer+0x3b/0x50 [iwlwifi]
May 05 11:24:49 fedora-laptop kernel:  call_timer_fn+0x2b/0x120
May 05 11:24:49 fedora-laptop kernel:  run_timer_softirq+0x3a9/0x3e0
May 05 11:24:49 fedora-laptop kernel:  ? native_sched_clock+0x37/0x90
May 05 11:24:49 fedora-laptop kernel:  __do_softirq+0xe3/0x2d4
May 05 11:24:49 fedora-laptop kernel:  irq_exit+0xeb/0xf0
May 05 11:24:49 fedora-laptop kernel:  smp_apic_timer_interrupt+0x6c/0x130
May 05 11:24:49 fedora-laptop kernel:  apic_timer_interrupt+0xf/0x20
May 05 11:24:49 fedora-laptop kernel:  </IRQ>
May 05 11:24:49 fedora-laptop kernel: RIP: 0010:cpuidle_enter_state+0xb9/0x2a0
May 05 11:24:49 fedora-laptop kernel: RSP: 0018:ffffa283006bbeb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
May 05 11:24:49 fedora-laptop kernel: RAX: ffff91153fca0b40 RBX: 0000036ee83c1eb7 RCX: 000000000000001f
May 05 11:24:49 fedora-laptop kernel: RDX: 0000036ee83c1eb7 RSI: 0000000000000000 RDI: 0000000000000000
May 05 11:24:49 fedora-laptop kernel: RBP: ffff91153fcaa440 R08: 0000050e726761e6 R09: 000000000000171f
May 05 11:24:49 fedora-laptop kernel: R10: 0000000000001fef R11: ffff91153fc9f944 R12: 0000000000000003
May 05 11:24:49 fedora-laptop kernel: R13: ffffffffb42d1fb8 R14: 0000036ee825aa02 R15: 0000000000000000
May 05 11:24:49 fedora-laptop kernel:  do_idle+0x1a8/0x1d0
May 05 11:24:49 fedora-laptop kernel:  cpu_startup_entry+0x6f/0x80
May 05 11:24:49 fedora-laptop kernel:  start_secondary+0x1a2/0x1f0
May 05 11:24:49 fedora-laptop kernel:  secondary_startup_64+0xa5/0xb0
May 05 11:24:49 fedora-laptop kernel: Code: 00 00 e8 c1 e2 e1 f2 eb 9d 48 89 df be 24 00 00 00 c6 05 a5 61 02 00 01 e8 3b f7 fe ff 48 c7 c7 78 d0 a9 c>
May 05 11:24:49 fedora-laptop kernel: ---[ end trace 8ee7a72a207212d4 ]---
May 05 11:24:49 fedora-laptop kernel: iwlwifi 0000:02:00.0: Queue 4 is active on fifo 2 and stuck for 10000 ms. SW [208, 46] HW [90, 90] FH TRB=0x05a5>
May 05 11:27:55 fedora-laptop NetworkManager[1103]: <info>  [1525483675.1047] connectivity: (wlp2s0) timed out
May 05 11:27:55 fedora-laptop NetworkManager[1103]: <info>  [1525483675.1064] manager: NetworkManager state is now CONNECTED_SITE
May 05 11:27:55 fedora-laptop dbus-daemon[998]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedeskt>
May 05 11:27:55 fedora-laptop systemd[1]: Starting Network Manager Script Dispatcher Service...
May 05 11:27:55 fedora-laptop dbus-daemon[998]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
May 05 11:27:55 fedora-laptop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=NetworkMan>
May 05 11:27:55 fedora-laptop systemd[1]: Started Network Manager Script Dispatcher Service.
May 05 11:27:55 fedora-laptop nm-dispatcher[4898]: req:1 'connectivity-change': new request (5 scripts)
May 05 11:27:55 fedora-laptop nm-dispatcher[4898]: req:1 'connectivity-change': start running ordered scripts...
May 05 11:28:05 fedora-laptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=NetworkMana>

Version-Release number of selected component:
kernel-core-4.14.16-300.fc27

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.14.16-300.fc27.x86_64 root=UUID=797528ef-9cab-415c-84a7-6242da067b0a ro rootflags=subvol=root rd.luks.uuid=luks-e71ffd0e-76ad-4aa1-8121-dbb4aeb1de62 rd.luks.uuid=luks-5ebaac6b-66fc-4359-a755-5a6adbc959f9 rd.luks.options=discard LANG=en_GB.UTF-8
crash_function: iwl_read_prph
kernel:         4.14.16-300.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1874 iwl_trans_pcie_grab_nic_access+0xd8/0xe0 [iwlwifi]
Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat btusb btrtl btbcm btintel bluetooth ecdh_generic uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media arc4 iwlmvm mac80211 intel_rapl iTCO_wdt iTCO_vendor_support intel_soc_dts_thermal intel_powerclamp
 coretemp wmi_bmof snd_hda_codec_hdmi acer_wmi kvm_intel sparse_keymap iwlwifi kvm snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec irqbypass cfg80211 intel_cstate snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm joydev i2c_i801 rfkill lpc_ich snd_timer mei_txe snd shpchp soundcore mei dw_dmac wmi int3406_thermal processor_thermal_device int3400_thermal int3403_thermal intel_soc_dts_iosf acpi_thermal_rel int340x_thermal_zone intel_int0002_vgpio spi_pxa2xx_platform btrfs xor zstd_decompress zstd_compress xxhash raid6_pq dm_crypt i915 hid_multitouch crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm serio_raw r8169 mii video i2c_hid pwm_lpss_platform pwm_lpss
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.14.16-300.fc27.x86_64 #1
Hardware name: Acer TravelMate B115-M/Roxy, BIOS V1.40 10/28/2015
task: ffff89fbba43bc00 task.stack: ffff9686006b8000
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xd8/0xe0 [iwlwifi]
RSP: 0018:ffff89fbbfc83e08 EFLAGS: 00010086
RAX: 000000000000003d RBX: ffff89fbabe50028 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff89fbabe58f30 R08: 0000000000000355 R09: 0000000000000007
R10: ffff89fbbfc83ef0 R11: ffffffffa19451cd R12: ffff89fbbfc83e28
R13: 0000000000a02d34 R14: 000000000000000a R15: 0000011af9dc0cb2
FS:  0000000000000000(0000) GS:ffff89fbbfc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fe361419000 CR3: 000000014720a000 CR4: 00000000001006e0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x120/0x1e0 [iwlwifi]
 ? task_tick_fair+0x400/0x6c0
 ? iwl_pcie_txq_build_tfd+0xe0/0xe0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x3b/0x50 [iwlwifi]
 call_timer_fn+0x30/0x120
 run_timer_softirq+0x3d4/0x430
 ? tick_sched_handle+0x22/0x70
 ? sched_clock+0x5/0x10
 __do_softirq+0xe7/0x2ca
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x70/0x120
 apic_timer_interrupt+0xa2/0xb0
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xa2/0x2e0
RSP: 0018:ffff9686006bbeb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff10
RAX: ffff89fbbfca0e40 RBX: 0000011afa6991a3 RCX: 000000000000001f
RDX: 0000011afa6991a3 RSI: fffffffea3154261 RDI: 0000000000000000
RBP: ffff89fbbfca9400 R08: 00000000000025bc R09: 000000000000176c
R10: ffff9686006bbe90 R11: 0000000000001aa4 R12: 0000000000000004
R13: ffffffffa12cfd38 R14: 0000000000000000 R15: 0000011af9dc0cb2
 do_idle+0x179/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1ac/0x200
 secondary_startup_64+0xa5/0xb0
Code: 00 00 e8 9c 61 cd df eb a8 48 89 df be 24 00 00 00 c6 05 8c 2d 02 00 01 e8 96 f3 fe ff 48 c7 c7 a0 81 bb c0 89 c6 e8 f3 3a 56 df <0f> ff eb be 0f 1f 40 00 0f 1f 44 00 00 41 57 41 56 4d 89 c7 41

Comment 5 Arne 2018-05-05 02:09:03 UTC
Created attachment 1431679 [details]
dmesg

Comment 6 Arne 2018-05-05 10:52:47 UTC
Just happened again and I found this AFTER the wifi had been disconnected:

May 05 20:46:14 fedora-laptop NetworkManager[1015]: <warn>  [1525517174.5257] device (wlp2s0): re-acquiring supplicant interface (#1).
May 05 20:46:16 fedora-laptop kernel: iwlwifi 0000:02:00.0: Could not load the [0] uCode section
May 05 20:46:16 fedora-laptop kernel: iwlwifi 0000:02:00.0: Failed to start INIT ucode: -5
May 05 20:46:16 fedora-laptop kernel: iwlwifi 0000:02:00.0: Failed to run INIT ucode: -5
May 05 20:46:16 fedora-laptop kernel: iwlwifi 0000:02:00.0: Failed to start RT ucode: -5
May 05 20:46:19 fedora-laptop wpa_supplicant[1110]: Could not set interface wlp2s0 flags (UP): Input/output error
May 05 20:46:19 fedora-laptop NetworkManager[1015]: <info>  [1525517179.8445] manager: rfkill: WiFi hardware radio set disabled
May 05 20:46:19 fedora-laptop wpa_supplicant[1110]: nl80211: Could not set interface 'wlp2s0' UP
May 05 20:46:19 fedora-laptop NetworkManager[1015]: <info>  [1525517179.8455] audit: op="radio-control" arg="wireless-enabled:0" pid=1550 uid=1000 res>
May 05 20:46:19 fedora-laptop wpa_supplicant[1110]: nl80211: deinit ifname=wlp2s0 disabled_11b_rates=0
May 05 20:46:19 fedora-laptop NetworkManager[1015]: <info>  [1525517179.8482] manager: rfkill: WiFi now disabled by radio killswitch
May 05 20:46:19 fedora-laptop wpa_supplicant[1110]: rfkill: WLAN soft blocked
May 05 20:46:19 fedora-laptop wpa_supplicant[1110]: Could not set interface wlp2s0 flags (UP): Operation not possible due to RF-kill
May 05 20:46:19 fedora-laptop wpa_supplicant[1110]: ioctl[SIOCSIWENCODEEXT]: Invalid argument
May 05 20:46:19 fedora-laptop wpa_supplicant[1110]: ioctl[SIOCSIWENCODEEXT]: Invalid argument
May 05 20:46:19 fedora-laptop NetworkManager[1015]: <info>  [1525517179.8747] sup-iface[0x55ce74330980,wlp2s0]: supports 1 scan SSIDs
May 05 20:46:19 fedora-laptop NetworkManager[1015]: <info>  [1525517179.8764] device (wlp2s0): supplicant interface state: starting -> ready

Comment 7 Justin M. Forbes 2018-07-23 15:06:16 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 8 Justin M. Forbes 2018-08-29 15:02:44 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.